# Uses of Interface
org.eclipse.gef.layout.ILayoutAlgorithm

Packages that use ILayoutAlgorithm
Package
Description
org.eclipse.gef.layout
This package provides an interface-based facade to exchange layout information with layout algorithms (within this package), concrete implementations of layout algorithms ( `org.eclipse.gef.layout.algorithms`).
org.eclipse.gef.layout.algorithms
This package provides different implementations of concrete layout algorithms.

## Uses of ILayoutAlgorithm in org.eclipse.gef.layout

Methods in org.eclipse.gef.layout that return ILayoutAlgorithm
Modifier and Type
Method
Description
`ILayoutAlgorithm`
LayoutContext.`getLayoutAlgorithm()`
Returns the static layout algorithm used to layout a newly initialized graph or after heavy changes to it.
Methods in org.eclipse.gef.layout that return types with arguments of type ILayoutAlgorithm
Modifier and Type
Method
Description
`javafx.beans.property.ObjectProperty<ILayoutAlgorithm>`
LayoutContext.`layoutAlgorithmProperty()`
A property representing the layout algorithm used by this `LayoutContext`.
Methods in org.eclipse.gef.layout with parameters of type ILayoutAlgorithm
Modifier and Type
Method
Description
`void`
LayoutContext.`setLayoutAlgorithm(ILayoutAlgorithm algorithm)`
Sets the layout algorithm for this context.

## Uses of ILayoutAlgorithm in org.eclipse.gef.layout.algorithms

Classes in org.eclipse.gef.layout.algorithms that implement ILayoutAlgorithm
Modifier and Type
Class
Description
`class`
`BoxLayoutAlgorithm`
Layout algorithm that places all elements in one column or one row, depending on set orientation.
`class`
`CompositeLayoutAlgorithm`
The `CompositeLayoutAlgorithm` combines multiple `ILayoutAlgorithm`s.
`class`
`GridLayoutAlgorithm`
The `GridLayoutAlgorithm` lays out nodes in a grid.
`class`
`HorizontalShiftAlgorithm`
This layout shifts overlapping nodes to the right.
`class`
`RadialLayoutAlgorithm`
This layout will take the given entities, apply a tree layout to them, and then display the tree in a circular fashion with the roots in the center.
`class`
`SpaceTreeLayoutAlgorithm`
Layout algorithm implementing SpaceTree.
`class`
`SpringLayoutAlgorithm`
The SpringLayoutAlgorithm has its own data repository and relation repository.
`class`
`SugiyamaLayoutAlgorithm`
The SugiyamaLayoutAlgorithm class implements an algorithm to arrange a directed graph in a layered tree-like layout.
`class`
`TreeLayoutAlgorithm`
The TreeLayoutAlgorithm class implements a simple algorithm to arrange graph nodes in a layered tree-like layout.
Constructors in org.eclipse.gef.layout.algorithms with parameters of type ILayoutAlgorithm
Modifier
Constructor
Description
``
`CompositeLayoutAlgorithm(ILayoutAlgorithm[] algorithms)`
Constructs a new `CompositeLayoutAlgorithm` that combines the given `ILayoutAlgorithm`s.